
ifdef is32
        model   flat
else
  ifndef mdl
    display 'you''re really stupid, arent''t you?'
    err
  endif
%       model   mdl
endif

;Since tasm doesn't say @wordsize eq 2 even when it's 16-bit code.
;This 'feature' only occurs if I use the simplified models (codeseg/dataseg)
;not when I use 'segment XX YY ZZ'
ifdef is32
  _wordsize equ 4
else
  _wordsize equ 2
endif

if @codesize
procptr         equ     far
else
procptr         equ     near
endif
if @datasize
stackfar        equ     1
_es             equ     es
else
_es             equ     ds
endif

macro   startcode
        codeseg
endm    startcode
macro   endcode
        ends
endm    endcode
macro   startdata
        dataseg
endm    startdata
macro   enddata
        ends
endm    enddata
macro   startconst
        const
endm    startconst
macro   endconst
        ends
endm    endconst
macro   startbss
        udataseg
endm    endbss
macro   endbss
        ends
endm    endbss
